﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using KairoEngine.Core.GameActions;
using KairoEngine.Stockpiles;
using Sirenix.OdinInspector;

namespace KairoEngine.GameTools.Selectables
{
    /// <summary>
    /// Represents an action that is contained in a component implementing the SelectableObject interface.
    /// </summary>
    [System.Serializable]
    public class SelectableObjectAction
    {
        [FoldoutGroup("@title")] public string title = "New SelectableObjectAction";
        [FoldoutGroup("@title")] public bool showAction = true;
        [FoldoutGroup("@title")] public Sprite icon;
        [FoldoutGroup("@title")] public string description;
        [FoldoutGroup("@title"), PropertySpace(1, 1)] public List<KairoEngine.Stockpiles.Stockpile> cost = new List<KairoEngine.Stockpiles.Stockpile>();
        [FoldoutGroup("@title"), InlineProperty, HideLabel] public GameActionsController actions;
    }
}

